| Home | Libraries | People | FAQ | More

###### any_connection::ping (1 of 2 overloads)

Checks whether the server is alive.

###### Synopsis

    void
    ping(
        error_code& err,
        diagnostics& diag);

###### Description

If the server is alive, this function will complete without error. If it's not, it will fail with the relevant network or protocol error.

Note that ping requests are treated as any other type of request at the protocol level, and won't be prioritized anyhow by the server. If the server is stuck in a long-running query, the ping request won't be answered until the query is finished.